-- name: [CS] Gargl (Burble)
-- description: Gargl (Burble),\nhe's an alien character from The Sims 2, appearing in the GBA and Nintendo DS versions.\n\nby 6b

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_GARGL = smlua_model_util_get_id("gargl_geo")

local TEX_GARGL_ICON = get_texture_info("gargl_icon")

local TEXT_MOD_NAME = "Gargl !"

local VOICETABLE_GARGL = {
    [CHAR_SOUND_ATTACKED] = 'gargl_papee.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'gargl_ground.ogg',
    [CHAR_SOUND_HAHA] = 'gargl_pipoo.ogg',
    [CHAR_SOUND_HAHA_2] = 'gargl_pipoo.ogg',
    [CHAR_SOUND_HERE_WE_GO] = {'gargl_choochoo.ogg', 'gargl_choochoo2.ogg'},
    [CHAR_SOUND_HOOHOO] = 'gargl_jump1.ogg', 
    [CHAR_SOUND_ON_FIRE] = 'gargl_fire1.ogg', 
    [CHAR_SOUND_PUNCH_HOO] = 'gargl_poo.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'gargl_yah8.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'gargl_yah6.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = {'gargl_choochoo.ogg', 'gargl_choochoo2.ogg', 'gargl_evamoobilay.ogg', 'gargl_malamalama.ogg'},
    [CHAR_SOUND_TWIRL_BOUNCE] = 'gargl_dut.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'gargl_falling.ogg',
    [CHAR_SOUND_WAH2] = 'gargl_yah.ogg',
    [CHAR_SOUND_WHOA] = 'gargl_panting2.ogg',
    [CHAR_SOUND_YAHOO] = 'gargl_yahoo2.ogg', 
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'gargl_yahoo2.ogg', 
    [CHAR_SOUND_YAH_WAH_HOO] = {'gargl_yah6.ogg', 'gargl_yah8.ogg', 'gargl_too.ogg'},
    [CHAR_SOUND_OKEY_DOKEY] = 'gargl_monpapapapi.ogg',
    [CHAR_SOUND_LETS_A_GO] = {'gargl_choochoo.ogg', 'gargl_choochoo2.ogg'},
    [CHAR_SOUND_DYING] = 'gargl_ioioo.ogg', 
    [CHAR_SOUND_DROWNING] = {'gargl_drowning.ogg', 'gargl_drowning2.ogg', 'gargl_drowning3.ogg'},
    [CHAR_SOUND_EEUH] = 'gargl_wee.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'gargl_asatoolay.ogg',
    [CHAR_SOUND_DOH] = 'gargl_dut.ogg', 
    [CHAR_SOUND_HRMM] = 'gargl_hmm.ogg',
    [CHAR_SOUND_PANTING] = 'gargl_panting2.ogg',
    [CHAR_SOUND_UH] = 'nothing.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'gargl_choochoo2.ogg',
    [CHAR_SOUND_UH2] = 'nothing.mp3', 
    [CHAR_SOUND_UH2_2] = 'nothing.mp3', 
    [CHAR_SOUND_YAWNING] = 'gargl_ioioo.ogg', 
    [CHAR_SOUND_OOOF] = 'gargl_dut.ogg', 
    [CHAR_SOUND_OOOF2] = 'gargl_dut.ogg', 
}


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Gargl", {"NAAA KOO BNAAAHH !!"}, "6b", {r = 0, g = 255, b = 0}, E_MODEL_GARGL, CT_MARIO, TEX_GARGL_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_GARGL, VOICETABLE_GARGL)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GARGL then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GARGL then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end